//
// FUERA DE SERVICIO
//

package controller;

/**
 *
 * @author OtakuFerreDavid
 */

import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.classic.Session;

import model.LineaCompra;
import util.HibernateUtil;

public class GestioLineaCompra extends HibernateUtil {

    public LineaCompra add(LineaCompra lineaCompra) {
        Session session = HibernateUtil.getSessionFactory().getCurrentSession();
        session.beginTransaction();
        session.saveOrUpdate(lineaCompra);
        session.getTransaction().commit();
        return lineaCompra;
    }
    public LineaCompra delete(Integer id, Integer linia) {
    	LineaCompra lc = new LineaCompra(id, linia);
        Session session = HibernateUtil.getSessionFactory().getCurrentSession();
        session.beginTransaction();
        LineaCompra lineaCompra = (LineaCompra) session.load(LineaCompra.class, lc);
        if(null != lineaCompra) {
            session.delete(lineaCompra);
        }
        session.getTransaction().commit();
        return lineaCompra;
    }


	public List<LineaCompra> list() {

        Session session = HibernateUtil.getSessionFactory().getCurrentSession();
        session.beginTransaction();
        List<LineaCompra> lineasCompra = null;
        try {

            lineasCompra = (List<LineaCompra>)session.createQuery("from LineaCompra").list();

        } catch (HibernateException e) {
            e.printStackTrace();
            session.getTransaction().rollback();
        }
        session.getTransaction().commit();
        return lineasCompra;
    }
}
