//
// FUERA DE SERVICIO
//

package model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 *
 * @author OtakuFerreDavid
 */
//Classe Linia Compra que mapearia con  la tabla Linia Compra de la base de datos, aunque no esta operativa
@Entity
@Table(name = "compra")
public class LineaCompra implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = -6783061879371248031L;
	private Integer linea;
    private Integer idFactura;
    private String articulo;
    private Integer cantidad;
    private Integer precio;
    
    //Clau Composta
    public LineaCompra(Integer id, Integer linea)
    {
    	this.idFactura=id;
    	this.linea=linea;
    }
    
    @Column(name = "idFactura")
    @Id
    public Integer getIdFactura() {
        return idFactura;
    }

	public void setIdFactura(Integer idFactura) {
        this.idFactura = idFactura;
    }
	@Column(name = "linea")
    public Integer getLinea() {
		return linea;
	}

	public void setLinea(Integer linea) {
		this.linea = linea;
	}
	@Column(name = "articulo")
	public String getArticulo() {
		return articulo;
	}

	public void setArticulo(String articulo) {
		this.articulo = articulo;
	}
	@Column(name = "cantidad")
	public Integer getCantidad() {
		return cantidad;
	}

	public void setCantidad(Integer cantidad) {
		this.cantidad = cantidad;
	}
	@Column(name = "precio")
	public Integer getPrecio() {
		return precio;
	}

	public void setPrecio(Integer precio) {
		this.precio = precio;
	}    
    
}
