package view;

import java.util.Map;

import model.Persona;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import controller.GestioPersones;


public class LoginAction extends ActionSupport {
    /**
	 * 
	 */
	private static final long serialVersionUID = -4609806010553523543L;
	private String username;
    private String password;
    private Persona persona;
	private GestioPersones linkController;
 
    public LoginAction() {
        linkController = new GestioPersones();
    }
	// 0 - Cliente
	// 1 - Operario Tienda
	// 2 - Tecnico
	// 3 - Administrador
	
    // Metodo que se encarga del login y de assignar las variables de session una vez validado
    public String execute() {
    	persona=linkController.getPersona(getUsername());
    	if (persona!=null){
    		if (this.username.equals(persona.getNif())) {
    			if (this.password.equals(persona.getPass())) {
    				Map<String, Object> session = ActionContext.getContext().getSession();
    				session.put("User",persona.getNombre());
    				session.put("Id",persona.getNif());
    				session.put("Type",persona.getTipo());
    				if (persona.getTipo()==0){
    					return "successCliente";
    				}else{
    					return "success";
    				}
    			}else{
    				addActionError(getText("error.login.pass"));
    	            return "error";
    			}
    		}
    		else{
            addActionError(getText("error.login.nif"));
            return "error";
    		}
    	}else{
			addActionError(getText("error.login"));
            return "error";
    	}
    }
 
    public String getUsername() {
        return username;
    }
 
    public void setUsername(String username) {
        this.username = username;
    }
 
    public String getPassword() {
        return password;
    }
 
    public void setPassword(String password) {
        this.password = password;
    }
}
